- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
AbcSolution Class Reference

This class holds a MIP feasible primal solution. More...

`#include <AbcSolution.h>`

Inheritance diagram for AbcSolution:
[legend]
Collaboration diagram for AbcSolution:
[legend]

## Public Member Functions
| AbcSolution ()
| AbcSolution (const int s, const double *val, const double obj)
| ~AbcSolution ()
double | getObjValue () const
| Get the objective value value. More...
virtual double | getQuality () const
int | getSize () const
| Get the size of the solution. More...
const double * | getColSolution () const
| Get the column solution. More...
double | getColSolution (int i) const
| Get item i in the solution vector. More...
virtual void | print (std::ostream &os) const
| Print out the solution. More...
virtual AlpsEncoded * | encode () const
| The method that encodes the solution into a encoded object. More...
virtual AlpsKnowledge * | decode (AlpsEncoded &) const
| The method that decodes the solution from a encoded object. More...
Public Member Functions inherited from AlpsSolution
| AlpsSolution ()
| Default constructor. More...
| AlpsSolution (const AlpsNodeIndex_t i, const int d)
| Constructor to set index and depth. More...
virtual | ~AlpsSolution ()
| Destructor. More...
AlpsNodeIndex_t | getIndex ()
| Get index where solution was found. More...
void | setIndex (const AlpsNodeIndex_t i)
| Set index where solution was found. More...
int | getDepth ()
| Get depth where solution was found. More...
void | setDepth (const int d)
| Set depth where solution was found. More...
Public Member Functions inherited from AlpsKnowledge
| AlpsKnowledge ()
virtual | ~AlpsKnowledge ()
KnowledgeType | getType ()
void | setType (KnowledgeType t)
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack into a encode object. More...
AlpsEncoded * | getEncoded () const
| Get/set encoded. More...
void | setEncoded (AlpsEncoded *e)

## Private Attributes
int | size_
double * | value_
double | objective_

## Additional Inherited Members
Protected Attributes inherited from AlpsKnowledge
KnowledgeType | type_

## Detailed Description

This class holds a MIP feasible primal solution.

Definition at line 31 of file AbcSolution.h.

## Constructor & Destructor Documentation

AbcSolution::AbcSolution | ( |  | ) |
| inline

Definition at line 38 of file AbcSolution.h.

AbcSolution::AbcSolution | ( | const int | s,
|  | const double * | val,
|  | const double | obj
| ) |  |
| inline

Definition at line 44 of file AbcSolution.h.

AbcSolution::~AbcSolution | ( |  | ) |
| inline

Definition at line 54 of file AbcSolution.h.

## Member Function Documentation

double AbcSolution::getObjValue | ( |  | ) | const
| inline

Get the objective value value.

Definition at line 62 of file AbcSolution.h.

virtual double AbcSolution::getQuality | ( |  | ) | const
| inline virtual

Definition at line 64 of file AbcSolution.h.

int AbcSolution::getSize | ( |  | ) | const
| inline

Get the size of the solution.

Definition at line 67 of file AbcSolution.h.

const double* AbcSolution::getColSolution | ( |  | ) | const
| inline

Get the column solution.

Definition at line 70 of file AbcSolution.h.

double AbcSolution::getColSolution | ( | int | i | ) | const
| inline

Get item i in the solution vector.

Definition at line 74 of file AbcSolution.h.

virtual void AbcSolution::print | ( | std::ostream & | os | ) | const
| virtual

Print out the solution.

Reimplemented from AlpsSolution.

virtual AlpsEncoded* AbcSolution::encode | ( |  | ) | const
| virtual

The method that encodes the solution into a encoded object.

Reimplemented from AlpsKnowledge.

virtual AlpsKnowledge* AbcSolution::decode | ( | AlpsEncoded & |  | ) | const
| virtual

The method that decodes the solution from a encoded object.

Reimplemented from AlpsKnowledge.

## Member Data Documentation

int AbcSolution::size_
| private

Definition at line 33 of file AbcSolution.h.

double* AbcSolution::value_
| private

Definition at line 34 of file AbcSolution.h.

double AbcSolution::objective_
| private

Definition at line 35 of file AbcSolution.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/examples/Abc/AbcSolution.h